import type { MarkdownSerializerDynamicModifier } from "./markdown/MarkdownSerializerDynamicModifier.js";
import type { Serializer, SerializerMarkToken, SerializerNodeToken } from "./types/serializer.js";
export declare class SerializerTokensRegistry {
    #private;
    addNode(name: string, node: SerializerNodeToken): this;
    addMark(name: string, mark: SerializerMarkToken): this;
    createSerializer(dynamicModifier?: MarkdownSerializerDynamicModifier): Serializer;
}
